Page MenuHomePhabricator

Use NavigationView from new android.support.design library.
Closed, ResolvedPublic5 Story Points

Description

For consistency and simplicity, we should use the new NavigationView in the design support library:

https://developer.android.com/reference/android/support/design/widget/NavigationView.html

Event Timeline

Dbrant created this task.Jun 8 2015, 5:04 PM
Dbrant updated the task description. (Show Details)
Dbrant raised the priority of this task from to Needs Triage.
Dbrant added a subscriber: Dbrant.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 8 2015, 5:04 PM
Dbrant triaged this task as Normal priority.
MBinder_WMF set Security to None.Jul 17 2015, 5:37 PM
MBinder_WMF edited a custom field.
Mholloway moved this task from To Do to Doing on the Mobile-App-Sprint-62-Android-Summer-Breeze board.

Change 226721 had a related patch set uploaded (by Mholloway):
Use NavigationView from android.support.design library for nav drawer

https://gerrit.wikimedia.org/r/226721

bearND added a subscriber: bearND.EditedJul 27 2015, 11:46 PM

Screenshot from PS6:

FYI, the "Overstay your stay!" is a fake W0 banner message of the W0 TEST1 network.

Hmm, that doesn't seem right. How did you obtain that message?

bearND added a comment.EditedJul 27 2015, 11:52 PM

Just updated my comment above. Sorry, saw you question later.

As for a W0 icon, is that something to ping the design team on, or should I come up with something?

As far as I know, there's no universal symbol for either "money" or "free of charge"...

Updated screenshots


Change 226721 merged by jenkins-bot:
Use NavigationView from android.support.design library for nav drawer

https://gerrit.wikimedia.org/r/226721

Signed off by Design

Checked with 2.0.108-alpha-2015-08-07 on Nexus5(Android 5.1)

Dbrant closed this task as Resolved.Aug 17 2015, 1:40 PM